=== modified file 'drizzled/field.cc'
--- drizzled/field.cc	2009-05-09 22:13:47 +0000
+++ drizzled/field.cc	2009-05-09 22:26:07 +0000
@@ -823,8 +823,7 @@
    key_start(0), part_of_key(0), part_of_key_not_clustered(0),
    part_of_sortkey(0), unireg_check(unireg_check_arg),
    field_length(length_arg), null_bit(null_bit_arg),
-   is_created_from_null_item(false),
-   is_stored(true)
+   is_created_from_null_item(false)
 {
   flags=null_ptr ? 0: NOT_NULL_FLAG;
   comment.str= (char*) "";
@@ -1318,7 +1317,6 @@
               ((decimals_arg & FIELDFLAG_MAX_DEC) << FIELDFLAG_DEC_SHIFT) |
               (maybe_null ? FIELDFLAG_MAYBE_NULL : 0) |
               (is_unsigned ? 0 : FIELDFLAG_DECIMAL));
-  is_stored= true;
 }
 
 
@@ -1381,7 +1379,6 @@
   interval_list.empty();
 
   comment= *fld_comment;
-  is_stored= true;
 
   /*
     Set NO_DEFAULT_VALUE_FLAG if this field doesn't have a default value and
@@ -1741,7 +1738,6 @@
   charset=    old_field->charset();		// May be NULL ptr
   comment=    old_field->comment;
   decimals=   old_field->decimals();
-  is_stored= old_field->is_stored;
 
   /* Fix if the original table had 4 byte pointer blobs */
   if (flags & BLOB_FLAG)

=== modified file 'drizzled/field.h'
--- drizzled/field.h	2009-05-08 20:20:28 +0000
+++ drizzled/field.h	2009-05-09 22:26:07 +0000
@@ -111,13 +111,6 @@
    */
   bool is_created_from_null_item;
 
-  /*
-    Indication that the field is physically stored in tables
-    rather than just generated on SQL queries.
-    As of now, false can only be set for generated-only virtual columns.
-  */
-  bool is_stored;
-
   Field(unsigned char *ptr_arg,uint32_t length_arg,unsigned char *null_ptr_arg,
         unsigned char null_bit_arg, utype unireg_check_arg,
         const char *field_name_arg);
@@ -591,13 +584,6 @@
   uint8_t       interval_id;	// For rea_create_table
   uint32_t	offset,pack_flag;
 
-  /*
-    Indication that the field is phycically stored in tables
-    rather than just generated on SQL queries.
-    As of now, FALSE can only be set for generated-only virtual columns.
-  */
-  bool is_stored;
-
   Create_field() :after(0) {}
   Create_field(Field *field, Field *orig_field);
   /* Used to make a clone of this object for ALTER/CREATE TABLE */

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2009-05-09 22:13:47 +0000
+++ drizzled/sql_table.cc	2009-05-09 22:26:07 +0000
@@ -1127,7 +1127,6 @@
             null_fields--;
 	  sql_field->flags=		dup_field->flags;
           sql_field->interval=          dup_field->interval;
-          sql_field->is_stored=      dup_field->is_stored;
 	  it2.remove();			// Remove first (create) definition
 	  select_field_pos--;
 	  break;
@@ -1157,25 +1156,10 @@
     if (sql_field->sql_type == DRIZZLE_TYPE_VARCHAR)
       create_info->varchar= true;
     sql_field->offset= record_offset;
+    record_offset+= sql_field->pack_length;
+
     if (MTYP_TYPENR(sql_field->unireg_check) == Field::NEXT_NUMBER)
       auto_increment++;
-    /*
-          For now skip fields that are not physically stored in the database
-          (virtual fields) and update their offset later
-          (see the next loop).
-        */
-    if (sql_field->is_stored)
-      record_offset+= sql_field->pack_length;
-  }
-  /* Update virtual fields' offset */
-  it.rewind();
-  while ((sql_field=it++))
-  {
-    if (not sql_field->is_stored)
-    {
-      sql_field->offset= record_offset;
-      record_offset+= sql_field->pack_length;
-    }
   }
   if (timestamps_with_niladic > 1)
   {
@@ -1413,12 +1397,6 @@
 	    return(true);
 	  }
 	}
-        if (not sql_field->is_stored)
-        {
-          /* Key fields must always be physically stored. */
-          my_error(ER_KEY_BASED_ON_GENERATED_VIRTUAL_COLUMN, MYF(0));
-          return(true);
-        }
 	if (!(sql_field->flags & NOT_NULL_FLAG))
 	{
 	  if (key->type == Key::PRIMARY)
@@ -3433,13 +3411,6 @@
     if (def)
     {						// Field is changed
       def->field=field;
-      if (field->is_stored != def->is_stored)
-      {
-        my_error(ER_UNSUPPORTED_ACTION_ON_VIRTUAL_COLUMN,
-                 MYF(0),
-                 "Changing the STORED status");
-        goto err;
-      }
       if (!def->after)
       {
 	new_create_list.push_back(def);

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2009-05-09 22:13:47 +0000
+++ drizzled/table.cc	2009-05-09 22:26:07 +0000
@@ -580,8 +580,6 @@
     if(pfield.has_constraints() && pfield.constraints().is_nullable())
       null_fields++;
 
-    bool field_is_stored= true;
-
     enum_field_types drizzle_field_type=
       proto_field_type_to_drizzle_type(pfield.type());
 
@@ -637,27 +635,13 @@
     }
 
     share->reclength+= field_pack_length[fieldnr];
+    stored_columns_reclength+= field_pack_length[fieldnr];
 
-    if(field_is_stored)
-      stored_columns_reclength+= field_pack_length[fieldnr];
   }
 
   /* data_offset added to stored_rec_length later */
   share->stored_rec_length= stored_columns_reclength;
 
-  /* fix up offsets for non-stored fields (at end of record) */
-  for(unsigned int fieldnr=0; fieldnr < share->fields; fieldnr++)
-  {
-    drizzled::message::Table::Field pfield= table.field(fieldnr);
-
-    bool field_is_stored= true;
-
-    if(!field_is_stored)
-    {
-      field_offsets[fieldnr]= stored_columns_reclength;
-      stored_columns_reclength+= field_pack_length[fieldnr];
-    }
-  }
   share->null_fields= null_fields;
 
   ulong null_bits= null_fields;
@@ -855,8 +839,6 @@
     }
 
     enum_field_types field_type;
-    bool field_is_stored= true;
-
 
     field_type= proto_field_type_to_drizzle_type(pfield.type());
 
@@ -965,7 +947,6 @@
 
     f->field_index= fieldnr;
     f->comment= comment;
-    f->is_stored= field_is_stored;
     if(!default_value
        && !(f->unireg_check==Field::NEXT_NUMBER)
        && (f->flags & NOT_NULL_FLAG)
@@ -982,10 +963,6 @@
       (void) my_hash_insert(&share->name_hash,
 			    (unsigned char*)&(share->field[fieldnr]));
 
-    if(!f->is_stored)
-    {
-      share->stored_fields--;
-    }
   }
 
   keyinfo= share->key_info;

=== modified file 'plugin/innobase/handler/ha_innodb.cc'
--- plugin/innobase/handler/ha_innodb.cc	2009-05-09 22:13:47 +0000
+++ plugin/innobase/handler/ha_innodb.cc	2009-05-09 22:26:07 +0000
@@ -3453,8 +3453,6 @@
 	for (sql_idx = 0; sql_idx < n_fields; sql_idx++) {
 		templ = prebuilt->mysql_template + n_requested_fields;
 		field = table->field[sql_idx];
-		if (!field->is_stored)
-		       goto skip_field;
 
 		if (UNIV_LIKELY(templ_type == ROW_MYSQL_REC_FIELDS)) {
 			/* Decide which columns we should fetch
@@ -3557,10 +3555,7 @@
 			prebuilt->templ_contains_blob = TRUE;
 		}
 skip_field:
-                if (field->is_stored)
-                {
-                  innodb_idx++;
-                }
+		innodb_idx++;
 		if (need_second_pass && (sql_idx+1 == n_fields))
 		{
                   prebuilt->n_index_fields= n_requested_fields;
@@ -4049,8 +4044,6 @@
 
 	for (sql_idx = 0; sql_idx < n_fields; sql_idx++) {
 		field = table->field[sql_idx];
-		if (!field->is_stored)
-		  continue;
 
 		o_ptr = (const byte*) old_row + get_field_offset(table, field);
 		n_ptr = (const byte*) new_row + get_field_offset(table, field);
@@ -4145,8 +4138,7 @@
 				&prebuilt->table->cols[innodb_idx], clust_index);
 			n_changed++;
 		}
-		if (field->is_stored)
-		  innodb_idx++;
+		innodb_idx++;
 	}
 
 	uvect->n_fields = n_changed;
@@ -5138,8 +5130,6 @@
 
 	for (i = 0; i < n_cols; i++) {
 		field = form->field[i];
-		if (!field->is_stored)
-		  continue;
 
 		col_type = get_innobase_type_from_mysql_type(&unsigned_type,
 									field);

